%{!?__pecl:     %{expand: %%global __pecl     %{_bindir}/pecl}}
%{!?pecl_phpdir: %{expand: %%global pecl_phpdir  %(%{__pecl} config-get php_dir  2> /dev/null || echo undefined)}}
%{?!pecl_xmldir: %{expand: %%global pecl_xmldir %{pecl_phpdir}/.pkgxml}}

%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)                     
%global php_zendabiver %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP Extension => //p') | tail -1)
%global php_version %((echo 0; php-config --version 2>/dev/null) | tail -1)
%define pecl_name dbase
%{?!_without_php_ver_tag: %define php_ver_tag .php%{php_major_version}}

%define real_name php-pecl-dbase
%define php_base php53u

Summary:        dBase database file access functions
Name:           %{php_base}-pecl-dbase
Version:        5.1.0
Release:        1%{?dist}
License:        PHP
Group:          Development/Languages
Vendor:         IUS Community Project 
URL:            http://pecl.php.net/package/dbase
Source:         http://pecl.php.net/get/dbase-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Provides:       %{real_name} = %{version}
BuildRequires:  %{php_base}-devel %{php_base}-cli httpd-devel %{php_base}-pear 
BuildRequires:  pcre-devel 
# php53u now builds pcre from php source
Requires:       %{php_base} >= 5.3.5-1

%if %{?php_zend_api}0
# Require clean ABI/API versions if available (Fedora)
Requires:       %{php_base}(zend-abi) = %{php_zend_api}
Requires:       %{php_base}(api) = %{php_core_api}
Requires:       %{php_base}-pear
%else
Requires:       %{php_base}-zend-abi = %{php_zendabiver}
%endif
Provides:      php-pecl(%{pecl_name}) = %{version}

Requires(post): %{__pecl}
Requires(postun): %{__pecl}

%description
dBase database file access functions

%prep
%setup -q -n %{pecl_name}-%{version}

%build
%{_bindir}/phpize
%configure --with-php-config=%{_bindir}/php-config
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Install the package XML file
%{__mkdir_p} %{buildroot}%{pecl_xmldir}
%{__install} -m 644 ../package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/dbase.ini << 'EOF'
; Enable dbase extension module
extension = dbase.so
EOF

%post
%{__pecl} install --nodeps --soft --force --register-only --nobuild %{pecl_xmldir}/%{pecl_name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ]  ; then
%{__pecl} uninstall --nodeps --ignore-errors --register-only %{pecl_name} >/dev/null || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/php.d/dbase.ini
%{php_extdir}/dbase.so
%{pecl_xmldir}/%{name}.xml

%changelog

